From 3af9f2d5b9084c66db681a91130c2a7832659a43 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Mon, 30 Mar 2020 21:28:12 +0800
Subject: [PATCH 07/28] machines.cfg: set aarch64 default vGIC version=3

Set default 'gic-version=3' for openEuler.

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 shared/cfg/machines.cfg | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/shared/cfg/machines.cfg b/shared/cfg/machines.cfg
index 653297bb..e8e9fd9e 100644
--- a/shared/cfg/machines.cfg
+++ b/shared/cfg/machines.cfg
@@ -44,7 +44,7 @@ variants:
         cpu_model = host
         machine_type = arm64-mmio:virt
         # TODO: Change to "gic-version=max" when supported
-        machine_type_extra_params = gic-version=host
+        machine_type_extra_params = gic-version=3
         # Only virtio-gpu supported for now
         vga = virtio
         inputs = mouse1 keyboard1
@@ -60,7 +60,7 @@ variants:
         cpu_model = host
         # TODO: Change to "gic-version=max" when supported
         machine_type = arm64-pci:virt
-        machine_type_extra_params = gic-version=host
+        machine_type_extra_params = gic-version=3
         # Only virtio-gpu-pci supported for now
         vga = virtio
         vir_domain_undefine_nvram = yes
-- 
2.23.0

